Bug 11680 - rpm2cpio does not work
Summary: rpm2cpio does not work
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-05-25 23:25 UTC by John Gotts
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-09-14 17:58:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Gotts 2000-05-25 23:25:27 UTC
% rpm2cpio < kdebase-1.1.2-33.src.rpm > kdebase-1.1.2-33.src.cpio
cannot re-open payload: Success
% ls -l
...
-rw-r--r--    1 jgotts   users           0 May 25 19:18
kdebase-1.1.2-33.src.cpio

Comment 1 SB 2000-05-29 19:10:59 UTC
I don't believe this is a bug.  For instance this will always fail:

[root@king /]# rpm2cpio < kdebase-1.1.2-31.src.rpm >
kdebase-1.1.2-31.src.rpm.cpio
cannot re-open payload: Success
[root@king /]# l kdebase*
-rw-r--r--  1 root root    6171478 May 29 15:08 kdebase-1.1.2-31.src.rpm
-rw-r--r--  1 root root          0 May 29 15:12 kdebase-1.1.2-31.src.rpm.cpio

This always works:

[root@king /]# rpm2cpio kdebase-1.1.2-31.src.rpm > kdebase-1.1.2-31.src.rpm.cpio
[root@king /]# l kdebase*
-rw-r--r--  1 root root    6171478 May 29 15:08 kdebase-1.1.2-31.src.rpm
-rw-r--r--  1 root root    6230340 May 29 15:13 kdebase-1.1.2-31.src.rpm.cpio

-Stan Bubrouski

Comment 2 John Gotts 2000-05-30 02:26:59 UTC
Well, the currently [in Red Hat Linux 6.2] nonworking form had worked for well
over a year, dating back at least to 5.x and including 6.0 and perhaps 6.1 as
well.  I wouldn't rule out the possibility that the feature was removed for some
reason, though.

Comment 3 Ed Avis 2000-06-09 09:22:15 UTC
The manual page still shows the old reading-from-stdin form.  So there must be a
bug either in the program or in the manpage.


Comment 4 Jeff Johnson 2000-06-23 14:52:35 UTC
Clearly there is a bug. Right now I believe the fix will be to change the
man page, but I'll take a look at fixing rpm2cpio. Meanwhile, either
add the file name on the command line, or add the token '-' to indicate
stdin.

Comment 5 Jeff Johnson 2000-08-07 13:37:47 UTC
This problem will be addressed after rpm-4.0 is released.

Comment 6 Jeff Johnson 2001-02-21 18:53:23 UTC
Here's the current man page:

DESCRIPTION
       rpm2cpio converts the .rpm  file  specified  as  a  single
       argument  to  a  cpio  archive  on  standard out. If a '-'
       argument is given, an rpm stream is read from standard in.

       rpm2cpio rpm-1.1-1.i386.rpm
       rpm2cpio - < glint-1.0-1.i386.rpm



Note You need to log in before you can comment on or make changes to this bug.